# skbio.diversity.alpha.heip_e

`skbio.diversity.alpha.``heip_e`(counts)

  Calculate Heip’s evenness measure.

  State: Experimental as of 0.4.0.

  Heip’s evenness is defined as:

  \[\frac{(e^H-1)}{(S-1)}\]

  where \(H\) is the Shannon-Wiener entropy of counts (using logarithm base \(e\)) and \(S\) is the number of OTUs in the sample.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  Returns:

  double

  > Heip’s evenness measure.

  See also

  `shannon`, `pielou_e`

  Notes

  The implementation here is based on the description in [R30].

  References

  [R30] | (1, 2) Heip, C. 1974. A new index measuring evenness. J. Mar. Biol. Ass. UK., 54, 555-557.